/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package de.groygroy.wahl2009;

import java.util.List;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;


/**
 * @author  cz
 */
public class Wahlergebniss2009Test {

    public Wahlergebniss2009Test() {
    }

    @AfterClass public static void tearDownClass() throws Exception {
    }

    @BeforeClass public static void setUpClass() throws Exception {
    }

    @After public void tearDown() {
    }

    

    @Test public void testGetStadtteile() {
        System.out.println( "getStadtteile" );

        Wahlergebniss2009 instance =  Wahlergebniss2009.getInstance();
        List< Stadtteil > result = instance.getStadtteile();
        assertNotNull( "stadtteile", result );
        assertEquals( "stadtteile # ", 102, result.size() );

        Stadtteil test = result.get( 95 );

        assertEquals( "Heimfeld", "Heimfeld", test.getStadtteil() );
        assertEquals( "wähler", 13567, test.getWahlberechtigteInsgesamt() );
        assertEquals( "gültigeStimmen", 6210, test.getGültigeStimmen() );
        assertEquals( "SPD", 2490, test.getStimmenSPD() );
        assertEquals( "CDU", 1713, test.getStimmenCDU() );
        assertEquals( "Grüne/GAL", 681, test.getStimmenGRÜNE_GAL() );
        assertEquals( "FDP", 401, test.getStimmenFDP() );
        assertEquals( "Die Linke", 796, test.getStimmenDIE_LINKE() );
        assertEquals( "Sonstige", 129, test.getStimmenSonstige() );

        assertEquals( "anteil", 2.08, test.getProzentSonstige(), 1e-2 );
    }

    @Before public void setUp() {
    }

}
